<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' ); 
/**
* This is the default Basket Template. Modify as you like.
*
* @version $Id: basket_b2c.html.php 1377 2008-04-19 17:54:45Z gregdev $
* @package VirtueMart
* @subpackage templates
* @copyright Copyright (C) 2004-2005 Soeren Eberhardt. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.net
*/

if (JComponentHelper::isEnabled('com_vm_preorder', true)) {
	$VM_LANG->load('preorder');
	require_once(CLASSPATH. 'ps_preorder.php' );
	$preorder = new ps_preorder();
}

if (isset($_SESSION['upsell'])) {
	echo $_SESSION['upsell'] ;
}
?>

<table width="100%" cellspacing="0" cellpadding="4" border="0" style="border:1px solid #BEBCB7;margin-bottom:10px;">

  <tr align="left" >
        <th colspan="3" class="vmsectiontableheader"><?php echo $VM_LANG->_('PHPSHOP_CART_NAME') ?></th>
        <th class="vmsectiontableheader"><?php echo $VM_LANG->_('PHPSHOP_CART_SKU') ?></th>
	<th class="vmsectiontableheader"><?php echo $VM_LANG->_('PHPSHOP_CART_PRICE') ?></th>
	<th class="vmsectiontableheader"><?php echo $VM_LANG->_('PHPSHOP_CART_QUANTITY') ?> / <?php echo $VM_LANG->_('PHPSHOP_CART_ACTION') ?></th>
	<th class="vmsectiontableheader">
	<?php 
    /**************************
	* BEGIN: PRE_ORDER CHANGE *
	**************************/
		if (JComponentHelper::isEnabled('com_vm_preorder', true) && !$preorder->userIsGlobal && $preorder->shouldDisplayDeposit()) { 
		echo $VM_LANG->_('PHPSHOP_PREORDER_DEPOSIT'); 
	} 
	?>
	</th>
	<th class="vmsectiontableheader"><?php echo $VM_LANG->_('PHPSHOP_CART_SUBTOTAL') ?></th>
  </tr>
<?php foreach( $product_rows as $product ) { ?>
  <tr valign="top" class="<?php echo $product['row_color'] ?>">
	<td colspan="3"><?php 
		/**************************
		* BEGIN: VM_BONUS CHANGE *
		**************************/
		if (JComponentHelper::isEnabled('com_vm_bonus', true) && isset($_SESSION['cart'][$i]['isbonusproduct']) && $_SESSION['cart'][$i]['isbonusproduct']) {
			require_once( CLASSPATH . 'ps_bonus.php' );
			echo ps_bonus::getProductNameLinkNoDesc($_SESSION['cart'][$i]).ps_bonus::showSelectBonus($_SESSION['cart'][$i]) ;
		} else {
			echo $product['product_name'] . $product['product_attributes'] ;
		}
		/**************************
		* END: VM_BONUS CHANGE *
		**************************/
		?>
	</td>
	<td><?php echo $product['product_sku'] ?></td>
	<td align="right"><?php echo $product['product_price'] ?></td>
	<td>
	<?php 
		/**************************
		* BEGIN: VM_BONUS CHANGE *
		**************************/
		if (JComponentHelper::isEnabled('com_vm_bonus', true) && isset($_SESSION['cart'][$i]['isbonusproduct']) && $_SESSION['cart'][$i]['isbonusproduct']) {
			require_once( CLASSPATH . 'ps_bonus.php' );
			if (!ps_bonus::userCanUpdateQuantity($_SESSION['cart'][$i]['product_id'])) {
				echo ' '.$_SESSION['cart'][$i]['quantity'];
			} else {
				echo $product['update_form'];
				echo $product['delete_form'];
			}
			
		} else {
			echo $product['update_form'];
			echo $product['delete_form'];
		}
		/**************************
		* END: VM_BONUS CHANGE *
		**************************/
		?>
	</td>
	 <td><?php 
    /**************************
	* BEGIN: PRE_ORDER CHANGE *
	**************************/
	if (JComponentHelper::isEnabled('com_vm_preorder', true)) {
		$preorder->get_preorder_form($_SESSION['cart'][$i]); 
	}
    /**************************
	* END: PRE_ORDER CHANGE *
	**************************/
	?></td>
    <td align="right"><?php echo $product['subtotal'] ?></td>
  </tr>
<?php } ?>
<!--Begin of SubTotal, Tax, Shipping, Coupon Discount and Total listing -->
<!-- start of checkout form -->


<?php if (!empty($shipping_inside_basket))
{
?>
  <tr class="vmsectiontableentry1">
    <td align="left"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_SHIPPING'); ?></td> 
    <td colspan="3" align="left"><div id='shipping_inside_basket'><?php if (!empty($shipping_select)) echo $shipping_select; ?></div></td> 
    <td colspan="3" align="right"><div id='shipping_inside_basket_cost'></div></td>
  </tr>
<?php
}
if (!empty($payment_select))
{
?>
  <tr class="vmsectiontableentry1">
    <td align="left"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_PAYMENT_LBL'); ?></td> 
    <td colspan="3" align="left"><?php echo $payment_select; ?></td> 
    <td colspan="3" align="right"><div id='payment_inside_basket_cost'></div></td>
  </tr>
 
<?php
}
?>
<?php 
    /**************************
	* BEGIN: PRE_ORDER CHANGE *
	**************************/
	if (JComponentHelper::isEnabled('com_vm_preorder', true) &&  $preorder->shouldDisplayDeposit() ) { ?>
      <tr class="sectiontableentry1">
            <td colspan="5" align="right" valign="top"><?php echo $VM_LANG->_('PHPSHOP_PREORDER_DEPOSIT_TOTAL') ?>: </td> 
            <td colspan="3" align="right"><?php $preorder->get_global_deposit(); ?></td>
      </tr>
      <tr class="sectiontableentry1">
            <td colspan="5" align="right" valign="top"><?php echo $VM_LANG->_('PHPSHOP_PREORDER_ORDER_BALANCE') ?>: </td> 
            <td colspan="3" align="right"><?php $preorder->get_global_balance(); ?></td>
      </tr>
<?php } 
    /**************************
	* END: PRE_ORDER CHANGE *
	**************************/
?>

  <tr class="vmsectiontableentry1" id="tt_order_subtotal_div_basket">
    <td colspan="5" align="right" id="tt_order_subtotal_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_CART_SUBTOTAL') ?>:</td> 
    <td colspan="3" align="right" id="tt_order_subtotal_basket"><?php echo $subtotal_display ?></td>
  </tr>
  <tr style="display: none;" id="tt_order_payment_discount_before_div_basket" class="vmsectiontableentry1">
    <td colspan="5" align="right" id="tt_order_payment_discount_before_txt_basket">:
    </td> 
    <td colspan="3" align="right" id="tt_order_payment_discount_before_basket"></td>
  </tr>
  <tr style="display: none;" id="tt_order_payment_discount_after_div_basket" class="vmsectiontableentry1">
    <td colspan="5" align="right" id="tt_order_payment_discount_after_txt_basket">:
    </td> 
    <td colspan="3" align="right" id="tt_order_payment_discount_after_basket"></td>
  </tr>
  <tr <?php if (empty($discount_before)) echo ' style="display: none;" '; ?> id="tt_order_discount_before_div_basket" class="vmsectiontableentry1">
    <td colspan="5" align="right"><?php echo $VM_LANG->_('PHPSHOP_COUPON_DISCOUNT') ?>:
    </td> 
    <td colspan="3" align="right" id="tt_order_discount_before_basket"><?php echo $coupon_display ?></td>
  </tr>
  <tr id="tt_shipping_rate_div_basket" <?php if ((NO_SHIPPING == '1') || (!empty($shipping_inside_basket))) echo ' style="display:none;" '; ?> class="vmsectiontableentry1">
	<td colspan="5" align="right"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_SHIPPING') ?>: </td> 
	<td colspan="3" align="right" id="tt_shipping_rate_basket"></td>
  </tr>
  <tr <?php if (empty($discount_after)) echo ' style="display:none;" '; ?>class="vmsectiontableentry1" id="tt_order_discount_after_div_basket">
    <td colspan="5" align="right"><?php echo $VM_LANG->_('PHPSHOP_COUPON_DISCOUNT') ?>:
    </td> 
    <td colspan="3" align="right" id="tt_order_discount_after_basket"><?php echo $coupon_display ?></td>
  </tr>
  <tr>
    <td colspan="5">&nbsp;</td>
    <td colspan="3"><hr /></td>
  </tr>
  <tr>
    <td class="vmsectiontableentry2" colspan="5" align="right"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL') ?>: </td>
    <td class="vmsectiontableentry2" colspan="3" align="right" id="tt_total_basket"><strong><?php echo $order_total_display ?></strong></td>
  </tr>
  <tr id="tt_tax_total_0_div_basket" style="display:none;" class="vmsectiontableentry1">
        <td colspan="5" align="right" valign="top" id="tt_tax_total_0_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL_TAX') ?>: </td> 
        <td colspan="3" align="right" id="tt_tax_total_0_basket"><?php echo $tax_display ?></td>
  </tr>
  <tr id="tt_tax_total_1_div_basket" style="display:none;" class="vmsectiontableentry1">
        <td colspan="5" align="right" valign="top" id="tt_tax_total_1_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL_TAX') ?>: </td> 
        <td colspan="3" align="right" id="tt_tax_total_1_basket"><?php echo $tax_display ?></td>
  </tr>
  <tr id="tt_tax_total_2_div_basket" style="display:none;" class="vmsectiontableentry1">
        <td colspan="5" align="right" valign="top" id="tt_tax_total_2_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL_TAX') ?>: </td> 
        <td colspan="3" align="right" id="tt_tax_total_2_basket"><?php echo $tax_display ?></td>
  </tr>
  <tr id="tt_tax_total_3_div_basket" style="display:none;" class="vmsectiontableentry1">
        <td colspan="5" align="right" valign="top" id="tt_tax_total_3_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL_TAX') ?>: </td> 
        <td colspan="3" align="right" id="tt_tax_total_3_basket"><?php echo $tax_display ?></td>
  </tr>
  <tr id="tt_tax_total_4_div_basket" style="display:none;" class="vmsectiontableentry1">
        <td colspan="5" align="right" valign="top" id="tt_tax_total_4_txt_basket"><?php echo $VM_LANG->_('PHPSHOP_ORDER_PRINT_TOTAL_TAX') ?>: </td> 
        <td colspan="3" align="right" id="tt_tax_total_4_basket"><?php echo $tax_display ?></td>
  </tr>
  <tr>
    <td colspan="7"><hr /></td>
  </tr>
</table>
